> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tinyfn.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Future Value

> Calculate future value of an investment.



## OpenAPI

````yaml https://api.tinyfn.io/openapi.json get /v1/finance/future-value
openapi: 3.1.0
info:
  title: TinyFn
  description: >-
    Enterprise-grade infrastructure for checking if 4 is even. And other
    utilities.
  version: 1.0.0
servers: []
security: []
paths:
  /v1/finance/future-value:
    get:
      tags:
        - Finance Utilities
      summary: Future Value
      description: Calculate future value of an investment.
      operationId: future_value_v1_finance_future_value_get
      parameters:
        - name: present_value
          in: query
          required: true
          schema:
            type: number
            description: Present value
            title: Present Value
          description: Present value
        - name: rate
          in: query
          required: true
          schema:
            type: number
            description: Annual interest rate (percentage)
            title: Rate
          description: Annual interest rate (percentage)
        - name: years
          in: query
          required: true
          schema:
            type: integer
            exclusiveMinimum: 0
            description: Number of years
            title: Years
          description: Number of years
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: X-API-Key

````